Tags
Bulk Remove Products from Tags
Removes associations between multiple products and multiple tags in a single request. Deletes product-tag relationships.
DELETE
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
products
/
tags
/
bulk
Bulk Remove Products from Tags
curl --request DELETE \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"product_ids": [
"<string>"
],
"tag_id": "<string>"
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk"
payload = { "items": [
{
"product_ids": ["<string>"],
"tag_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{product_ids: ['<string>'], tag_id: '<string>'}]})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'product_ids' => [
'<string>'
],
'tag_id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk"
payload := strings.NewReader("{\n \"items\": [\n {\n \"product_ids\": [\n \"<string>\"\n ],\n \"tag_id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"product_ids\": [\n \"<string>\"\n ],\n \"tag_id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"product_ids\": [\n \"<string>\"\n ],\n \"tag_id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"failed": [
{
"product_id": "<string>",
"reason": "<string>",
"tag_id": "<string>"
}
],
"successful": [
{
"product_ids": [
"<string>"
],
"tag_id": "<string>"
}
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Body
application/json
Product and tag relationships to delete
Maximum array length:
50Show child attributes
Show child attributes
⌘I
Bulk Remove Products from Tags
curl --request DELETE \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"product_ids": [
"<string>"
],
"tag_id": "<string>"
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk"
payload = { "items": [
{
"product_ids": ["<string>"],
"tag_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{product_ids: ['<string>'], tag_id: '<string>'}]})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'product_ids' => [
'<string>'
],
'tag_id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk"
payload := strings.NewReader("{\n \"items\": [\n {\n \"product_ids\": [\n \"<string>\"\n ],\n \"tag_id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"product_ids\": [\n \"<string>\"\n ],\n \"tag_id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/products/tags/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"product_ids\": [\n \"<string>\"\n ],\n \"tag_id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"failed": [
{
"product_id": "<string>",
"reason": "<string>",
"tag_id": "<string>"
}
],
"successful": [
{
"product_ids": [
"<string>"
],
"tag_id": "<string>"
}
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}